from .group import GroupAnnotator
from .service import ServiceAnnotator, ERASED_ATTRIBUTES
from .variable import VariableAnnotator, CONVERT_OPTION
from .constrainte import ConstrainteAnnotator
from .family import FamilyAnnotator, modes
from .property import PropertyAnnotator

class SpaceAnnotator:
    """Transformations applied on a CreoleObjSpace instance
    """
    def __init__(self, objectspace, eosfunc_file):
        self.objectspace = objectspace
        GroupAnnotator(objectspace)
        ServiceAnnotator(objectspace)
        VariableAnnotator(objectspace)
        ConstrainteAnnotator(objectspace,
                             eosfunc_file,
                             )
        FamilyAnnotator(objectspace)
        PropertyAnnotator(objectspace)


__all__ = ('SpaceAnnotator', 'ERASED_ATTRIBUTES', 'CONVERT_OPTION', 'modes')
