# -*- coding: utf-8 -*-
class ConfigError(Exception):
    pass

class FileNotFound(ConfigError):
    pass

class TemplateError(ConfigError):
    pass

class TemplateDisabled(TemplateError):
    """Template is disabled.
    """
    pass


class OperationError(Exception):
    """Type error or value Error for Creole variable's type or values
    """


class SpaceObjShallNotBeUpdated(Exception):
    """Specific behavior in case of the presence or not
    of an object in the space object
    """


class DictConsistencyError(Exception):
    """It's not only that the Creole XML is valid against the Creole DTD
    it's that it is not consistent.
    """
    def __init__(self, msg, errno):
        super().__init__(msg)
        self.errno = errno


class LoaderError(Exception):
    pass
